Bug 770134 - Review Request: trac-workflowadmin-plugin - Web interface for workflow administration for Trac
Summary: Review Request: trac-workflowadmin-plugin - Web interface for workflow admin...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-23 14:30 UTC by Andrea Veri
Modified: 2012-01-15 23:20 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-12-28 12:52:56 UTC
kevin: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Andrea Veri 2011-12-23 14:30:46 UTC
Spec URL: http://averi.fedorapeople.org/RPMs/trac-workflowadmin-plugin/trac-workflowadmin-plugin.spec
SRPM URL: http://averi.fedorapeople.org/RPMs/trac-workflowadmin-plugin/trac-workflowadmin-plugin-0.12-1.fc16.src.rpm
Description: The plugin provides the editor for workflow and the diagram of workflow using the Graphviz programs.

@Kevin, I've built you up a package already for testing purposes, it's available at:

http://averi.fedorapeople.org/RPMs/trac-workflowadmin-plugin/trac-workflowadmin-plugin-0.12-1.fc16.noarch.rpm

Comment 1 Kevin Fenzi 2011-12-23 21:04:59 UTC
Thanks. I'll look at reviewing this soon. 

Can you look at the other review and adjust the source/version for svn ?

Comment 2 Andrea Veri 2011-12-23 21:59:42 UTC
Updated files as per #769922 comments can be found at:

http://averi.fedorapeople.org/RPMs/trac-workflowadmin-plugin

Comment 3 Kevin Fenzi 2011-12-24 22:08:14 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (BSD)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. Not a blocker, but you might ask upstream to include a copy of the BSD
license with the package. 

2. rpmlint says: 
trac-workflowadmin-plugin.noarch: W: spelling-error Summary(en_US) workflow -> work flow, work-flow, workforce
trac-workflowadmin-plugin.noarch: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
trac-workflowadmin-plugin.noarch: W: no-documentation
trac-workflowadmin-plugin.src: W: spelling-error Summary(en_US) workflow -> work flow, work-flow, workforce
trac-workflowadmin-plugin.src: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
trac-workflowadmin-plugin.src: W: invalid-url Source0: trac-workflowadmin-plugin-0.12.svn11020.tar.gz

all can be ignored. 

I don't see any blockers here, so this package is APPROVED. 
Happy to co-maintain.

Comment 4 Andrea Veri 2011-12-25 18:45:59 UTC
New Package SCM Request
=======================
Package Name: trac-workflowadmin-plugin
Short Description: Web interface for workflow administration for Trac 
Owners: averi kevin
Branches: f16 el6
InitialCC: averi kevin

Comment 5 Kevin Fenzi 2011-12-25 19:55:50 UTC
Git done (by process-git-requests).

Comment 6 Andrea Veri 2011-12-28 12:52:56 UTC
Built fine, closing ticket.

Comment 7 Fedora Update System 2011-12-28 18:41:53 UTC
trac-workflowadmin-plugin-0.12-20111223svn11062.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-workflowadmin-plugin-0.12-20111223svn11062.el6

Comment 8 Fedora Update System 2012-01-15 23:20:48 UTC
trac-workflowadmin-plugin-0.12-20111223svn11062.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.